dnl 
dnl  $Id: acinclude.m4,v 1.4 2002/10/13 22:34:09 vkurland Exp $
dnl 


dnl Test files
define( [AC_TEST_FILES],
[
    ac_file_found=yes
    for f in $1; do
        if test ! -f $2/$f; then
           ac_file_found=no
           break;
        fi
    done

    if test "$ac_file_found" = "yes" ; then
        ifelse([$3], , :,[$3])
    else
        ifelse([$4], , :,[$4])
    fi
])


dnl Search for headers, add path to CPPFLAGS if found 
define( [AC_SEARCH_HEADERS], 
[
    AC_MSG_CHECKING("for $1") 
    ac_hdr_found=no
    for p in $2; do
        AC_TEST_FILES($1, $p, 
            [ 
               ac_hdr_found=yes
               break
            ]
        )
    done 
    if test "$ac_hdr_found" = "yes" ; then
        CPPFLAGS="$CPPFLAGS -I$p"
        AC_MSG_RESULT( [($p) yes] ) 
        ifelse([$3], , :,[$3])
    else
        AC_MSG_RESULT("no") 
        ifelse([$4], , :,[$4])
    fi
])

dnl checks for ucd-snmp or netsnmp library and sets 
dnl vars LIBSNMP_LIBS and HAVE_LIBSNMP
dnl
dnl call like this: 
dnl   AC_CHECK_LIBSNMP ( snmp    )
dnl   AC_CHECK_LIBSNMP ( netsnmp )
dnl 
define( [AC_CHECK_LIBSNMP],
[
  ac_snmplib_name="$1"

  ac_snmplib_name=`echo ${ac_snmplib_name} | tr -d " "`

  AC_CHECK_LIB($ac_snmplib_name, init_snmp,
  [
          LIBSNMP_LIBS="-l$ac_snmplib_name"
	  HAVE_LIBSNMP="1"
          AC_DEFINE(HAVE_LIBSNMP)
  ],[

    if test "${ac_cv_lib_snmp_init_snmp+set}" = "set"; then
        unset ac_cv_lib_snmp_init_snmp
    fi

    save_LIBS="$LIBS"
    LIBS="$LIBS -lcrypto"
    AC_CHECK_LIB($ac_snmplib_name, init_snmp,
    [
          LIBS="$save_LIBS"
          LIBSNMP_LIBS="-lcrypto -l$ac_snmplib_name"
	  HAVE_LIBSNMP="1"
          AC_DEFINE(HAVE_LIBSNMP)
    ])
  ])

dnl
dnl ucd-snmp v4.2.4 uses snprint_objid. Unfortunately, as of v8.2 Mandrake
dnl comes with ucd-snmp v 4.2.3 which does not have this function. 
dnl 
  AC_CHECK_LIB($ac_snmplib_name, snprint_objid, [
        AC_DEFINE(HAVE_SNPRINT_OBJID)
  ])

])
