
%define distro RedHat

Name: libfwbuilder
Summary: Firewall Builder API
Packager: Vadim Kurland <vadim@vk.crocodile.org>
Url: http://www.fwbuilder.org/
Version: 0.10.13
Release: 1.rh8
Copyright: NetCitadel, LLC
Group:  System Environment/Libraries
Source: http://prdownloads.sourceforge.net/libfwbuilder/%{name}-%{version}.tar.gz
BuildRoot: /tmp/libfwbuilder-buildroot
%if "%{distro}" == "RedHat"
BuildRequires: libxslt-devel
BuildRequires: libxml2-devel
%endif
%if "%{distro}" == "SuSE"
BuildRequires: libxslt-devel
BuildRequires: libxml2-devel
%endif
%if "%{distro}" == "Mandrake"
BuildRequires: libxslt1-devel
BuildRequires: libxml2-devel
%endif
Obsoletes: fwbuilder-devel
Docdir:   /usr/share/doc

%description -n libfwbuilder
Firewall Builder API library and compiler framework

%prep

%setup 

%build
./autogen.sh --enable-auto-docdir --prefix=/usr/ --with-templatedir=/usr/share/libfwbuilder
make -j `cat /proc/cpuinfo | egrep '^processor|^CPU' | wc -l` all

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc doc/AUTHORS doc/COPYING doc/ChangeLog doc/Credits doc/INSTALL doc/README doc/PatchAcceptancePolicy.txt
%dir /usr/share/libfwbuilder/platform
%dir /usr/share/libfwbuilder/os
/usr/share/libfwbuilder/*
/usr/lib/libfwbuilder.so.*
/usr/lib/libfwcompiler.so.*
/usr/share/libfwbuilder/platform/ipf.xml
/usr/share/libfwbuilder/platform/iptables.xml
/usr/share/libfwbuilder/platform/pf.xml
/usr/share/libfwbuilder/platform/pix.xml
/usr/share/libfwbuilder/platform/unknown.xml
/usr/share/libfwbuilder/os/freebsd.xml
/usr/share/libfwbuilder/os/linux24.xml
/usr/share/libfwbuilder/os/openbsd.xml
/usr/share/libfwbuilder/os/solaris.xml
/usr/share/libfwbuilder/os/pix_os.xml
/usr/share/libfwbuilder/os/unknown_os.xml




%package -n libfwbuilder-devel
Summary:   Firewall Builder API Libraries and Header Files
Group:     Development/Libraries
Provides:  libfwbuilder-devel
Requires:  libfwbuilder = %{version}
Obsoletes: fwbuilder-devel

%description -n libfwbuilder-devel
This package contains the libraries  and header files that programmer would
need to develop applications using Firewall Builder API.


%files  -n libfwbuilder-devel
%defattr(-, root, root)
%doc doc/AUTHORS doc/COPYING doc/ChangeLog doc/Credits doc/INSTALL doc/README doc/PatchAcceptancePolicy.txt doc/classref
/usr/bin/libfwbuilder-config
/usr/include/fwbuilder
/usr/include/fwcompiler
/usr/lib/*.la
/usr/lib/*.a
/usr/lib/*.so


